Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl
Class DeployedUnitImpl

    java.lang.Object
      org.jbpm.kie.services.impl.DeployedUnitImpl

All Implemented Interfaces:
  DeployedUnit

    public class DeployedUnitImpl

extends Object
implements DeployedUnit

Constructor Summary
`DeployedUnitImpl(DeploymentUnit unit)`

Method Summary
`void` | `addAssetLocation(String assetId, ProcessAssetDesc processAsset)`
`void` | `addClass(Class<?> kModuleClass)`
`String` | `getDeployedAssetLocation(String assetId)`
`Collection<DeployedAsset>` | `getDeployedAssets()`
`Collection<Class<?>>` | `getDeployedClasses()`
`DeploymentUnit` | `getDeploymentUnit()`
`RuntimeManager` | `getRuntimeManager()`
`boolean` | `isActive()`
`void` | `setActive(boolean active)`
`void` | `setRuntimeManager(RuntimeManager manager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeployedUnitImpl

    public DeployedUnitImpl(DeploymentUnit unit)

Method Detail

### getDeploymentUnit

    public DeploymentUnit getDeploymentUnit()

  Specified by:
    `getDeploymentUnit` in interface `DeployedUnit`

### getDeployedAssetLocation

    public String getDeployedAssetLocation(String assetId)

  Specified by:
    `getDeployedAssetLocation` in interface `DeployedUnit`

### getRuntimeManager

    public RuntimeManager getRuntimeManager()

  Specified by:
    `getRuntimeManager` in interface `DeployedUnit`

### addAssetLocation

    public void addAssetLocation(String assetId,
                                 ProcessAssetDesc processAsset)

### addClass

    public void addClass(Class<?> kModuleClass)

### setRuntimeManager

    public void setRuntimeManager(RuntimeManager manager)

### getDeployedAssets

    public Collection<DeployedAsset> getDeployedAssets()

  Specified by:
    `getDeployedAssets` in interface `DeployedUnit`

### getDeployedClasses

    public Collection<Class<?>> getDeployedClasses()

  Specified by:
    `getDeployedClasses` in interface `DeployedUnit`

### isActive

    public boolean isActive()

  Specified by:
    `isActive` in interface `DeployedUnit`

### setActive

    public void setActive(boolean active)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.